VCFEVENREGIONS(1)

NAME

vcfevenregions

SYNOPSIS

vcfevenregions options

DESCRIPTION

Generates a list of regions, e.g. chr20:10..30 using the variant density information provided in the VCF file to ensure that the regions have even numbers of variants. This can be use to reduce the variance in runtime when dividing variant detection or genotyping by genomic coordinates.

OPTIONS

    options:
        -f, --fasta-reference REF    FASTA reference file to use to obtain primer sequences.
        -n, --number-of-regions N    The number of desired regions.
        -p, --number-of-positions N  The number of positions per region.
        -o, --offset N               Add an offset to region positioning, to avoid boundary
                                     related artifacts in downstream processing.
        -l, --overlap N              The number of sites to overlap between regions.  Default 0.
        -s, --separator SEQ          Specify string to use to separate region output.  Default '-'
    Type: transformation

EXIT VALUES

0   Success

not 0
    Failure

SEE ALSO

vcflib(1)

OTHER

LICENSE

Copyright 2011-2023 (C) Erik Garrison and vcflib contributors. MIT licensed.

AUTHORS
Erik Garrison and vcflib contributors.